[Vm-dev] [commit][3074] Update the getVM scripts to 3072.

commits at squeakvm.org commits at squeakvm.org
Wed Sep 10 01:35:27 UTC 2014


Revision: 3074
Author:   eliot
Date:     2014-09-09 18:35:25 -0700 (Tue, 09 Sep 2014)
Log Message:
-----------
Update the getVM scripts to 3072.  Add similar scripts to get Newspeak VMs.

Modified Paths:
--------------
    branches/Cog/image/getGoodCogVM.sh
    branches/Cog/image/getGoodSpurVM.sh
    branches/Cog/image/makegetnsvmscripts.sh

Added Paths:
-----------
    branches/Cog/image/getGoodCogNsvm.sh
    branches/Cog/image/getGoodSpurNsvm.sh

Added: branches/Cog/image/getGoodCogNsvm.sh
===================================================================
--- branches/Cog/image/getGoodCogNsvm.sh	                        (rev 0)
+++ branches/Cog/image/getGoodCogNsvm.sh	2014-09-10 01:35:25 UTC (rev 3074)
@@ -0,0 +1,32 @@
+#!/bin/sh
+# Sets the VM env var to the r3072 Newspeak VM for the current platform.
+# will download and install the VM in this directory if necessary.
+
+TAG=14.36.3072
+REV=3072
+LCBINDIR=4.0-3072
+URL=http://www.mirandabanda.org/files/Cog/VM/VM.r$REV/
+
+. ./envvars.sh
+
+case "$OS" in
+Darwin) get_vm_from_tar \
+            "Newspeak Virtual Machine.app/Contents/MacOS/Newspeak Virtual Machine" a6673fe5075d4edce0aabb7e66e50b51 \
+            "Newspeak Virtual Machine.app-$TAG.tgz" dd51e7ffc8f583bf5c66af8b8fb3e4c4
+        VM="Newspeak Virtual Machine.app/Contents/MacOS/Newspeak Virtual Machine";;
+Linux)
+    if expr $OSREL \> 2.6.12; then
+        get_vm_from_tar \
+        nsvmlinuxht/lib/nsvm/$LCBINDIR/nsvm  \
+        nsvmlinuxht-$TAG.tgz 903c1829609725047e744de720a3bf3d
+    else
+        get_vm_from_tar \
+        nsvmlinux/lib/nsvm/$LCBINDIR/nsvm  \
+        nsvmlinux-$TAG.tgz a9d057816e404ce80bb76bb9717830b2
+    fi;;
+CYGWIN*) get_vm_from_zip \
+            nsvmwin/nsvmConsole.exe 688e2dcf54507a8793d31c0f75904550 \
+            nsvmwin-$TAG.zip 4a88663723d6c00541359d5764fda030
+    VM=nsvmwin/nsvmConsole.exe;;
+*)  echo "don't know how to run nsvm on your system.  bailing out." 1>&2; exit 2
+esac


Property changes on: branches/Cog/image/getGoodCogNsvm.sh
___________________________________________________________________
Added: svn:executable
   + *

Modified: branches/Cog/image/getGoodCogVM.sh
===================================================================
--- branches/Cog/image/getGoodCogVM.sh	2014-09-09 17:59:11 UTC (rev 3073)
+++ branches/Cog/image/getGoodCogVM.sh	2014-09-10 01:35:25 UTC (rev 3074)
@@ -1,32 +1,32 @@
 #!/bin/sh
-# Sets the VM env var to the r3063 Cog VM for the current platform.
+# Sets the VM env var to the r3072 Cog VM for the current platform.
 # will download and install the VM in this directory if necessary.
 
-TAG=14.32.3063
-REV=3063
-LCBINDIR=4.0-3063
+TAG=14.36.3072
+REV=3072
+LCBINDIR=4.0-3072
 URL=http://www.mirandabanda.org/files/Cog/VM/VM.r$REV/
 
 . ./envvars.sh
 
 case "$OS" in
 Darwin) get_vm_from_tar \
-            Cog.app/Contents/MacOS/Squeak efd6128a2e0ca36035bbe5ace4fd8e80 \
-            Cog.app-$TAG.tgz 658e5e3a5085529959a744c11b78f7d9
+            Cog.app/Contents/MacOS/Squeak 49373a45b8a27e38408747aa8955efc9 \
+            Cog.app-$TAG.tgz 590e1081ba88e6eb2b3f56a9729505c9
         VM=Cog.app/Contents/MacOS/Squeak;;
 Linux)
     if expr $OSREL \> 2.6.12; then
         get_vm_from_tar \
-        coglinuxht/lib/squeak/$LCBINDIR/squeak badd6e33775c1176e478b2262cffe177 \
-        coglinuxht-$TAG.tgz 1b58e26c4c6c92ca8b141e94c04b0ed9
+        coglinuxht/lib/squeak/$LCBINDIR/squeak 4e9d39e3ef6f3d82de2054574634cbed \
+        coglinuxht-$TAG.tgz 3082f937dbe4ea923be05d87fcd6fba9
     else
         get_vm_from_tar \
-        coglinux/lib/squeak/$LCBINDIR/squeak 817f87fa0cf4b7d90ef9599d7b762fe5 \
-        coglinux-$TAG.tgz 1394d1bfd1749b711a2266621dc8ff5b
+        coglinux/lib/squeak/$LCBINDIR/squeak cca96956321b47e6b3db889308afd2a2 \
+        coglinux-$TAG.tgz 7d6f7ea426c313fdf78edec9c71728ef
     fi;;
 CYGWIN*) get_vm_from_zip \
-            cogwin/SqueakConsole.exe 8edd0cc2355232726330ecbc967c7ce0 \
-            cogwin-$TAG.zip 888ca7a978e34176763c8be34fa13860
+            cogwin/SqueakConsole.exe 698c354779a358504fb7aaeee36c231d \
+            cogwin-$TAG.zip 2df97ca6d48bbcf1b1fd271379bc40cf
     VM=cogwin/SqueakConsole.exe;;
 *)  echo "don't know how to run Squeak on your system.  bailing out." 1>&2; exit 2
 esac

Added: branches/Cog/image/getGoodSpurNsvm.sh
===================================================================
--- branches/Cog/image/getGoodSpurNsvm.sh	                        (rev 0)
+++ branches/Cog/image/getGoodSpurNsvm.sh	2014-09-10 01:35:25 UTC (rev 3074)
@@ -0,0 +1,26 @@
+#!/bin/sh
+# Sets the VM env var to the r3072 Newspeak Spur VM for the current platform.
+# will download and install the VM in this directory if necessary.
+
+TAG=14.36.3072
+REV=3072
+LSBINDIR=5.0-3072
+URL=http://www.mirandabanda.org/files/Cog/VM/VM.r$REV/
+
+. ./envvars.sh
+
+case "$OS" in
+Darwin) get_vm_from_tar \
+            "Newspeak Spur Virtual Machine.app/Contents/MacOS/Newspeak Virtual Machine" 1bb3e6f5788eae66f22b779499d00647 \
+            "Newspeak Spur Virtual Machine.app-$TAG.tgz" 4fd139327fe841fdde9c6b5de39f18c1
+        VM="Newspeak Spur Virtual Machine.app/Contents/MacOS/Newspeak Virtual Machine";;
+Linux) get_vm_from_tar \
+        nsvmspurlinuxht/lib/nsvm/$LSBINDIR/nsvm  \
+        nsvmspurlinuxht-$TAG.tgz a8f7b00b9cf6a7adce2c1d21db0488c8
+    VM=nsvmspurlinuxht/nsvm;;
+CYGWIN*) get_vm_from_zip \
+            nsvmspurwin/nsvmConsole.exe 7d8b3b848c792de45dd6af95111abdb1 \
+            nsvmspurwin-$TAG.zip 6ea38c0f8e1a65809134d391341aa3b2
+    VM=nsvmspurwin/nsvmConsole.exe;;
+*)  echo "don't know how to run nsvm on your system.  bailing out." 1>&2; exit 2
+esac


Property changes on: branches/Cog/image/getGoodSpurNsvm.sh
___________________________________________________________________
Added: svn:executable
   + *

Modified: branches/Cog/image/getGoodSpurVM.sh
===================================================================
--- branches/Cog/image/getGoodSpurVM.sh	2014-09-09 17:59:11 UTC (rev 3073)
+++ branches/Cog/image/getGoodSpurVM.sh	2014-09-10 01:35:25 UTC (rev 3074)
@@ -1,26 +1,26 @@
 #!/bin/sh
-# Sets the VM env var to the r3063 Cog Spur VM for the current platform.
+# Sets the VM env var to the r3072 Cog Spur VM for the current platform.
 # will download and install the VM in this directory if necessary.
 
-TAG=14.32.3063
-REV=3063
-LSBINDIR=5.0-3063
+TAG=14.36.3072
+REV=3072
+LSBINDIR=5.0-3072
 URL=http://www.mirandabanda.org/files/Cog/VM/VM.r$REV/
 
 . ./envvars.sh
 
 case "$OS" in
 Darwin) get_vm_from_tar \
-            CogSpur.app/Contents/MacOS/Squeak 80a55ecfb5abeabf3890c87898ee5914 \
-            CogSpur.app-$TAG.tgz 741a5355c22f20cda33db969bb5e3d7a
+            CogSpur.app/Contents/MacOS/Squeak a982553a2058308d1c495432d8796b41 \
+            CogSpur.app-$TAG.tgz b91e4783d82e945955cc7bf4bfd25571
         VM=CogSpur.app/Contents/MacOS/Squeak;;
 Linux) get_vm_from_tar \
-        cogspurlinuxht/lib/squeak/$LSBINDIR/squeak 22e8dfc3409a79155f79b2943c834572 \
-        cogspurlinuxht-$TAG.tgz af8988545c1042a9813e3166390af6cb
+        cogspurlinuxht/lib/squeak/$LSBINDIR/squeak eb02c5b6fe38196e653401890d8aa423 \
+        cogspurlinuxht-$TAG.tgz cfb2d3e8b372d62cc1ed36c99cbfc4ed
     VM=cogspurlinuxht/squeak;;
 CYGWIN*) get_vm_from_zip \
-            cogspurwin/SqueakConsole.exe a7bc32115050dab7e9060e8391025c4e \
-            cogspurwin-$TAG.zip 6945ef0ff89bc5c1da00f6076868f3e6
+            cogspurwin/SqueakConsole.exe df420a030174c17ab2e2726c113ef81a \
+            cogspurwin-$TAG.zip 2c2a5b1e498578e6a95424e388731fa2
     VM=cogspurwin/SqueakConsole.exe;;
 *)  echo "don't know how to run Squeak on your system.  bailing out." 1>&2; exit 2
 esac

Modified: branches/Cog/image/makegetnsvmscripts.sh
===================================================================
--- branches/Cog/image/makegetnsvmscripts.sh	2014-09-09 17:59:11 UTC (rev 3073)
+++ branches/Cog/image/makegetnsvmscripts.sh	2014-09-10 01:35:25 UTC (rev 3074)
@@ -28,14 +28,17 @@
 . ./envvars.sh
 
 ABORT=
-for a in "Newspeak Virtual Machine.app-$TAG.tgz" "Newspeak Virtual Machine-$TAG..dmg" nsvmlinuxht-$TAG.tgz nsvmlinux-$TAG.tgz nsvmwin-$TAG.zip\
-		"Newspeak Spur Virtual Machine.app-$TAG.tgz" "Newspeak Spur Virtual Machine-$TAG.dmg"nsvmspurlinuxht-$TAG.tgz nsvmspurwin-$TAG.zip
+for a in "Newspeak Virtual Machine.app-$TAG.tgz" "Newspeak Virtual Machine-$TAG.dmg" nsvmlinuxht-$TAG.tgz nsvmlinux-$TAG.tgz nsvmwin-$TAG.zip\
+		"Newspeak Spur Virtual Machine.app-$TAG.tgz" "Newspeak Spur Virtual Machine-$TAG.dmg" nsvmspurlinuxht-$TAG.tgz nsvmspurwin-$TAG.zip
 do
 	test -f "../products/$a" || echo $a does not exist
 	ABORT=true
 done
 test -n "$ABORT" || exit 1
 
+
+echo $GetCogScript $GetSpurScript
+
 cat >$GetCogScript <<END
 #!/bin/sh
 # Sets the VM env var to the r$REV Newspeak VM for the current platform.



More information about the Vm-dev mailing list